<template>
    <div>
        <box v-for="(dayMatches, idx) in matches" :key="idx" type="table" no-padding>
            <league-matches-table
                :date="dayMatches.date"
                :red-thead="false"
                :items="dayMatches.data"
            />
        </box>
    </div>
</template>

<script>
import Box from '../../box/Box'
import LeagueMatchesTable from '../LeagueMatchesTable'
export default {
    name: 'LeagueMatchesList',
    props: {
        matches: {
            type: Array,
            required: true
        }
    },
    components: {
        Box,
        LeagueMatchesTable
    }
}
</script>
